### Enumeration

# EDataBook bSqlCursorOrigin

since: 3.12

#### Declaration

    enum EDataBook.bSqlCursorOrigin

#### Description [src]

Specifies the start position to in the list of traversed contacts in calls to e_book_sqlite_cursor_step().

When an `EbSqlCursor` is created, the current position implied by `EBSQL_CURSOR_ORIGIN_CURRENT` is the same as `EBSQL_CURSOR_ORIGIN_BEGIN`.

Available since: 3.12

#### Members

`EBSQL_CURSOR_ORIGIN_CURRENT`

  The current cursor position.

  - Value: `0`
  - Available since: 3.12
`EBSQL_CURSOR_ORIGIN_BEGIN`

  The beginning of the cursor results.

  - Value: `1`
  - Available since: 3.12
`EBSQL_CURSOR_ORIGIN_END`

  The ending of the cursor results.

  - Value: `2`
  - Available since: 3.12